Return the LDAP error message of the last LDAP command

- « ldap_errno

- ldap_escape »

- PHP Manual
- LDAP Functions
- Return the LDAP error message of the last LDAP command

# ldap_error

(PHP 4, PHP 5, PHP 7, PHP 8)

ldap_error — Return the LDAP error message of the last LDAP command

### Description

ldap_error(LDAP\Connection `$ldap`): string

Returns the string error message explaining the error generated by the last LDAP command for the given `ldap`. While LDAP errno numbers are standardized, different libraries return different or even localized textual error messages. Never check for a specific error message text, but always use an error number to check.

Unless you lower your warning level in your php.ini sufficiently or prefix your LDAP commands with `@` (at) characters to suppress warning output, the errors generated will also show up in your HTML output.

### Parameters

`ldap`

  An LDAP\Connection instance, returned by ldap_connect().

### Return Values

Returns string error message.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ldap` parameter expects an LDAP\Connection instance now; previously, a valid `ldap link` resource was expected.

### See Also

- ldap_err2str() - Convert LDAP error number into string error message
- ldap_errno() - Return the LDAP error number of the last LDAP command